Index: /branches/dev_001_GM/NEMO/TOP_SRC/SMS/par_sms.F90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/SMS/par_sms.F90	(revision 762)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/SMS/par_sms.F90	(revision 763)
@@ -1,19 +1,19 @@
 MODULE par_sms
-   !!---------------------------------------------------------------------
-   !!
-   !!                         PARAMETER SMS
-   !!                       *******************************
-   !!
-   !!  purpose :
-   !!  ---------
-   !!     INCLUDE PARAMETER FILE for SMS  models
-   !!
-   !!
+   !!======================================================================
+   !!                         ***  MODULE par_sms  ***
+   !! TOP :   parameters of passive tracers
+   !!======================================================================
+   !! History :   1.0  !  2005-03 (O. Aumont, A. El Moussaoui) F90
    !!----------------------------------------------------------------------
-   !!  TOP 1.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Id:$ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
+#if defined key_passivetrc
+   !!----------------------------------------------------------------------
+   !!   'key_passivetrc'                                    Passive tracers
    !!----------------------------------------------------------------------
    USE par_trc_trp
+
    IMPLICIT NONE
 
@@ -32,13 +32,14 @@
 #elif defined key_cfc
    !!----------------------------------------------------------------------
-   !!   'key_cfc  '                                          CFC model                  
+   !!   'key_cfc  '                                      CFC chemical model                  
    !!----------------------------------------------------------------------
 #  include "par_sms_cfc.h90"
 
 #else
-   !!  purpose :
-   !!  ---------
-   !!     No SMS  models
+   !!----------------------------------------------------------------------
+   !!  Empty module :                                     No passive tracer
+   !!----------------------------------------------------------------------
 #endif
 
+   !!======================================================================
 END MODULE par_sms
Index: /branches/dev_001_GM/NEMO/TOP_SRC/SMS/par_sms_cfc.h90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/SMS/par_sms_cfc.h90	(revision 762)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/SMS/par_sms_cfc.h90	(revision 763)
@@ -5,14 +5,12 @@
 
    !!----------------------------------------------------------------------
-   !!  TOP 1.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Id:$ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
-   INTEGER , PARAMETER :: &
-      jpyear = 100,       & ! temporal parameter 
-      jphem  = 2            ! hemispheric parameter
+   INTEGER, PARAMETER ::   jpyear = 100   ! temporal parameter 
+   INTEGER, PARAMETER ::   jphem  = 2     ! hemispheric parameter
 
-   INTEGER, PARAMETER ::  & 
-      jp11 = 1,           & ! CFC-11
-      jp12 = 2              ! CFC-12
+   INTEGER, PARAMETER ::   jp11   = 1     ! CFC-11
+   INTEGER, PARAMETER ::   jp12   = 2     ! CFC-12
Index: /branches/dev_001_GM/NEMO/TOP_SRC/SMS/par_sms_lobster1.h90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/SMS/par_sms_lobster1.h90	(revision 762)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/SMS/par_sms_lobster1.h90	(revision 763)
@@ -1,46 +1,27 @@
-!!---------------------------------------------------------------------
-!!
-!!                         PARAMETER passivetrc.lobster1
-!!                       ********************************
-!!
-!!  purpose :
-!!  ---------
-!!     INCLUDE PARAMETER FILE for passive tracer LOBSTER1 model
-!!
-!!  modifications:  
-!!  --------------
-!!     00-12 (E. Kestenare): 
-!!            assign a parameter to name individual tracers
-!!
-!! productive layer depth
-!! ----------------------
-!!       jpkb   : first vertical layers where biology is active
-!!       jpkbm1 : jpkb - 1
-!!
-!!----------------------------------------------------------------------
-!!  TOP 1.0,  LOCEAN-IPSL (2005)
-!! $Header$
-!! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
-!!----------------------------------------------------------------------
+   !!---------------------------------------------------------------------
+   !!                     ***  par_sms_lobster1.h90  ***  
+   !! TOP :   CFC Source Minus Sink parameter for LOBSTER
+   !!---------------------------------------------------------------------
+   !! History :    -   !  1999-06  (M. Levy)  original code
+   !!              -   !  2000-12  (E. Kestenare) assign a parameter to name individual tracers
+   !!             1.0  !  2005-03  (C. Ethe) F90
+   !!----------------------------------------------------------------------
 
-      INTEGER jpkb,jpkbm1
-      PARAMETER (jpkb = 12,jpkbm1 = 11)
-!!
-!! number of biological trends
-!! ---------------------------
-!!
-      INTEGER jpdiabio
-      PARAMETER (jpdiabio = 15)
-!!
-!!    NOW ASSIGN A PARAMETER TO NAME INDIVIDUAL TRACERS
-!!
-!!    JPDET : detritus (mmoleN/m3)
-!!    JPZOO : zooplancton concentration (mmoleN/m3)
-!!    JPPHY : phytoplancton concentration (mmoleN/m3)
-!!    JPNO3 : nitrate concentration (mmoleN/m3)
-!!    JPNH4 : ammonium concentration (mmoleN/m3)
-!!    JPDOM : dissolved organic matter (mmoleN/m3)
-!!
-      INTEGER jpdet,jpzoo,jpphy,jpno3,jpnh4,jpdom
-      PARAMETER (jpdet=1,jpzoo=2,jpphy=3,jpno3=4,jpnh4=5,jpdom=6)
+   !!----------------------------------------------------------------------
+   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Id:$ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 
+   INTEGER, PARAMETER ::   jpkb     = 12        !: top jk layers where biology is active
+   INTEGER, PARAMETER ::   jpkbm1   = jpkb - 1  !:
+
+   INTEGER, PARAMETER ::   jpdiabio = 15        !: number of biological trends
+      
+   INTEGER, PARAMETER ::   jpdet    = 1         !: detritus                    [mmoleN/m3]
+   INTEGER, PARAMETER ::   jpzoo    = 2         !: zooplancton concentration   [mmoleN/m3]
+   INTEGER, PARAMETER ::   jpphy    = 3         !: phytoplancton concentration [mmoleN/m3]
+   INTEGER, PARAMETER ::   jpno3    = 4         !: nitrate concentration       [mmoleN/m3]
+   INTEGER, PARAMETER ::   jpnh4    = 5         !: ammonium concentration      [mmoleN/m3]
+   INTEGER, PARAMETER ::   jpdom    = 6         !: dissolved organic matter    [mmoleN/m3]
+
Index: /branches/dev_001_GM/NEMO/TOP_SRC/SMS/par_sms_pisces.h90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/SMS/par_sms_pisces.h90	(revision 762)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/SMS/par_sms_pisces.h90	(revision 763)
@@ -4,44 +4,55 @@
    !!======================================================================
 
-   INTEGER, PARAMETER ::  jpdiabio = 1
+   !!----------------------------------------------------------------------
+   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Id:$ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 
-   !! WARNING: BE CAREFUL ABOUT THE ORDER WHEN READING THE RESTART FILE
-   !!
-   INTEGER, PARAMETER :: &
-      jpdic = 1  ,  &  ! dissolved inoganic carbon concentration 
-      jptal = 2  ,  &  ! total alkalinity 
-      jpoxy = 3  ,  &  ! oxygen carbon concentration 
-      jpcal = 4  ,  &  ! calcite  concentration 
-      jppo4 = 5  ,  &  ! phosphate concentration 
-      jppoc = 6  ,  &  ! small particulate organic phosphate concentration
-      jpsil = 7  ,  &  ! silicate concentration
-      jpphy = 8  ,  &  ! phytoplancton concentration 
-      jpzoo = 9  ,  &  ! zooplancton concentration
-      jpdoc = 10 ,  &  ! dissolved organic carbon concentration 
-      jpdia = 11 ,  &  ! Diatoms Concentration
-      jpmes = 12 ,  &  ! Mesozooplankton Concentration
-      jpbsi = 13 ,  &  ! (big) Silicate Concentration
-      jpfer = 14 ,  &  ! Iron Concentration
+   INTEGER, PARAMETER ::   jpdiabio = 1   !: number of biological trends
+
+   ! WARNING: BE CAREFUL ABOUT THE ORDER WHEN READING THE RESTART FILE
+
+   INTEGER, PARAMETER ::   jpdic =  1     !: dissolved inoganic carbon concentration 
+   INTEGER, PARAMETER ::   jptal =  2     !: total alkalinity 
+   INTEGER, PARAMETER ::   jpoxy =  3     !: oxygen carbon concentration 
+   INTEGER, PARAMETER ::   jpcal =  4     !: calcite  concentration 
+   INTEGER, PARAMETER ::   jppo4 =  5     !: phosphate concentration 
+   INTEGER, PARAMETER ::   jppoc =  6     !: small particulate organic phosphate concentration
+   INTEGER, PARAMETER ::   jpsil =  7     !: silicate concentration
+   INTEGER, PARAMETER ::   jpphy =  8     !: phytoplancton concentration 
+   INTEGER, PARAMETER ::   jpzoo =  9     !: zooplancton concentration
+   INTEGER, PARAMETER ::   jpdoc = 10     !: dissolved organic carbon concentration 
+   INTEGER, PARAMETER ::   jpdia = 11     !: Diatoms Concentration
+   INTEGER, PARAMETER ::   jpmes = 12     !: Mesozooplankton Concentration
+   INTEGER, PARAMETER ::   jpbsi = 13     !: (big) Silicate Concentration
+   INTEGER, PARAMETER ::   jpfer = 14     !: Iron Concentration
 #if ! defined key_trc_kriest
-      jpbfe = 15 ,  &  ! Big iron particles Concentration
-      jpgoc = 16 ,  &  ! big particulate organic phosphate concentration
-      jpsfe = 17 ,  &  ! Small iron particles Concentration
-      jpdfe = 18 ,  &  ! Diatoms iron Concentration
-      jpdsi = 19 ,  &  ! Diatoms Silicate Concentration
-      jpnfe = 20 ,  &  ! Nano iron Concentration
-      jpnch = 21 ,  &  ! Nano Chlorophyll Concentration
-      jpdch = 22 ,  &  ! Diatoms Chlorophyll Concentration
-      jpno3 = 23 ,  &  ! Nitrates Concentration
-      jpnh4 = 24       ! Ammonium Concentration
+   !!----------------------------------------------------------------------
+   !!   Default                                             Standard PISCES
+   !!----------------------------------------------------------------------
+   INTEGER, PARAMETER ::   jpbfe = 15     !: Big iron particles Concentration
+   INTEGER, PARAMETER ::   jpgoc = 16     !: big particulate organic phosphate concentration
+   INTEGER, PARAMETER ::   jpsfe = 17     !: Small iron particles Concentration
+   INTEGER, PARAMETER ::   jpdfe = 18     !: Diatoms iron Concentration
+   INTEGER, PARAMETER ::   jpdsi = 19     !: Diatoms Silicate Concentration
+   INTEGER, PARAMETER ::   jpnfe = 20     !: Nano iron Concentration
+   INTEGER, PARAMETER ::   jpnch = 21     !: Nano Chlorophyll Concentration
+   INTEGER, PARAMETER ::   jpdch = 22     !: Diatoms Chlorophyll Concentration
+   INTEGER, PARAMETER ::   jpno3 = 23     !: Nitrates Concentration
+   INTEGER, PARAMETER ::   jpnh4 = 24     !: Ammonium Concentration
 #else
-      jpnum = 15 ,  &  ! Big iron particles Concentration
-      jpsfe = 16 ,  &  ! number of particulate organic phosphate concentration
-      jpdfe = 17 ,  &  ! Diatoms iron Concentration
-      jpdsi = 18 ,  &  ! Diatoms Silicate Concentration
-      jpnfe = 19 ,  &  ! Nano iron Concentration
-      jpnch = 20 ,  &  ! Nano Chlorophyll Concentration
-      jpdch = 21 ,  &  ! Diatoms Chlorophyll Concentration
-      jpno3 = 22 ,  &  ! Nitrates Concentration
-      jpnh4 = 23       ! Ammonium Concentration
+   !!----------------------------------------------------------------------
+   !!   'key_trc_kriest'                                    PISCES + kriest
+   !!----------------------------------------------------------------------
+   INTEGER, PARAMETER ::   jpnum = 15     !: Big iron particles Concentration
+   INTEGER, PARAMETER ::   jpsfe = 16     !: number of particulate organic phosphate concentration
+   INTEGER, PARAMETER ::   jpdfe = 17     !: Diatoms iron Concentration
+   INTEGER, PARAMETER ::   jpdsi = 18     !: Diatoms Silicate Concentration
+   INTEGER, PARAMETER ::   jpnfe = 19     !: Nano iron Concentration
+   INTEGER, PARAMETER ::   jpnch = 20     !: Nano Chlorophyll Concentration
+   INTEGER, PARAMETER ::   jpdch = 21     !: Diatoms Chlorophyll Concentration
+   INTEGER, PARAMETER ::   jpno3 = 22     !: Nitrates Concentration
+   INTEGER, PARAMETER ::   jpnh4 = 23     !: Ammonium Concentration
 #endif
 
Index: /branches/dev_001_GM/NEMO/TOP_SRC/SMS/sms.F90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/SMS/sms.F90	(revision 762)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/SMS/sms.F90	(revision 763)
@@ -4,14 +4,15 @@
    !! passive tracers :   set the passive tracers variables
    !!======================================================================
-   !! History :
-   !!   9.0  !  04-03  (C. Ethe)  Free form and module
+   !! History :    -   !  2004-03  (C. Ethe)  Free form and module
    !!----------------------------------------------------------------------
-   !!  TOP 1.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
-   !! * Modules used
+   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Header:$ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 #if defined key_passivetrc
-
+   !!----------------------------------------------------------------------
+   !!   'key_passivetrc'                                    Passive tracers
+   !!----------------------------------------------------------------------
    USE par_oce
    USE par_trc
@@ -19,8 +20,7 @@
 
    IMPLICIT NONE
-
    PUBLIC
 
-#if defined key_trc_lobster1
+# if defined key_trc_lobster1
    !!----------------------------------------------------------------------
    !!   'key_trc_lobster1'                        LOBSTER1 biological model  
@@ -28,5 +28,5 @@
 #  include "sms_lobster1.h90"
 
-#elif defined key_trc_pisces
+# elif defined key_trc_pisces
    !!----------------------------------------------------------------------
    !!   'key_trc_pisces'                            PISCES biological model                  
@@ -34,17 +34,18 @@
 #  include "sms_pisces.h90"
 
-#elif defined key_cfc
+# elif defined key_cfc
    !!----------------------------------------------------------------------
-   !!   'key_cfc  '                                          CFC model                  
+   !!   'key_cfc  '                                      CFC chemical model                  
    !!----------------------------------------------------------------------
 #  include "sms_cfc.h90"
 
+# endif
+
+#else
+   !!----------------------------------------------------------------------
+   !!  Empty module :                                     No passive tracer
+   !!----------------------------------------------------------------------
 #endif
 
-#else
    !!======================================================================
-   !!  Empty module : No passive tracer 
-   !!======================================================================
-#endif
-
 END MODULE sms
Index: /branches/dev_001_GM/NEMO/TOP_SRC/SMS/sms_cfc.h90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/SMS/sms_cfc.h90	(revision 762)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/SMS/sms_cfc.h90	(revision 763)
@@ -1,32 +1,21 @@
-   !!---------------------------------------------------------------------
+   !!----------------------------------------------------------------------
    !!                     ***  sms_cfc.h90  ***  
-   !!                    CFC Source Minus Sink model
-   !!---------------------------------------------------------------------
+   !! TOP :   CFC Source Minus Sink valiables
+   !!----------------------------------------------------------------------
 
    !!----------------------------------------------------------------------
-   !!  TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
    !! $Header$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
-    INTEGER, PUBLIC :: &
-       ndate_beg,     & ! initial calendar date (aammjj) for CFC
-       nyear_res,     & ! restoring time constant (year)
-       nyear_beg        ! initial year (aa) 
+   INTEGER , PUBLIC ::   ndate_beg    ! initial calendar date (aammjj) for CFC
+   INTEGER , PUBLIC ::   nyear_res    ! restoring time constant (year)
+   INTEGER , PUBLIC ::   nyear_beg    ! initial year (aa) 
    
-    REAL(wp), PUBLIC, DIMENSION(jpi,jpj)  ::  &
-       xphem            ! spatial interpolation factor for patm
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj)             ::   xphem    ! spatial interpolation factor for patm
+   REAL(wp), PUBLIC, DIMENSION(jpyear,jphem, jptra) ::   p_cfc    ! partial hemispheric pressure for CFC          
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj      ,jptra) ::   pp_cfc   ! temporal interpolation of atmospheric concentrations 
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj      ,jptra) ::   qtr      ! input function
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj      ,jptra) ::   qint     ! flux function
 
-
-    REAL(wp), PUBLIC, DIMENSION(jpyear,jphem, jptra)  ::  &   
-       p_cfc            ! partial hemispheric pressure for CFC          
-
- 
-    REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jptra) ::  &  
-       pp_cfc           ! temporal interpolation of atmospheric concentrations 
-
-
-    REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jptra) ::  &  
-       qtr,          & ! input function
-       qint            ! flux function
-
